<?xml version="1.0" encoding="utf-8" standalone="no"?>
<!--This is a generated XML file-->
<xs:schema targetNamespace="https://gecina.fr" xmlns:Gecina="https://gecina.fr" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:types="http://www.xbrl.org/dtr/type/2022-03-31">
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd" />
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <xs:import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd" />
  <xs:annotation>
    <xs:appinfo>
      <link:roleType roleURI="https://gecina.fr/role/BilanActif" id="BilanActif">
        <link:definition>BilanActif</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://gecina.fr/role/BilanPassif" id="BilanPassif">
        <link:definition>BilanPassif</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://gecina.fr/role/CompteDeResultat" id="CompteDeResultat">
        <link:definition>CompteDeResultat</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://gecina.fr/role/ResultatGlobal" id="ResultatGlobal">
        <link:definition>ResultatGlobal</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://gecina.fr/role/FluxDeTresorerie" id="FluxDeTresorerie">
        <link:definition>FluxDeTresorerie</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://gecina.fr/role/VariationsDesCapitauxPropres" id="VariationsDesCapitauxPropres">
        <link:definition>VariationsDesCapitauxPropres</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://gecina.fr/role/GeneralInformationAboutFinancialStatements" id="GeneralInformationAboutFinancialStatements">
        <link:definition>GeneralInformationAboutFinancialStatements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://gecina.fr/role/Anchoring" id="Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://gecina.fr/role/CompteDeResultat_1" id="CompteDeResultat_1">
        <link:definition>CompteDeResultat_1</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://gecina.fr/role/ResultatGlobal_1" id="ResultatGlobal_1">
        <link:definition>ResultatGlobal_1</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:href="9695003E4MMA10IBTR26-2025-12-31_def.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" />
      <link:linkbaseRef xlink:href="9695003E4MMA10IBTR26-2025-12-31_cal.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" />
      <link:linkbaseRef xlink:href="9695003E4MMA10IBTR26-2025-12-31_pre.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" />
      <link:linkbaseRef xlink:href="9695003E4MMA10IBTR26-2025-12-31_lab-fr.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" />
      <link:linkbaseRef xlink:href="9695003E4MMA10IBTR26-2025-12-31_lab-en.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" />
      <link:linkbaseRef xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-fr.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" />
      <link:linkbaseRef xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" />
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="Gecina_PrepaidExpensesAndOtherAssets" name="PrepaidExpensesAndOtherAssets" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="instant" />
  <xs:element id="Gecina_EquityAttributableToOwnersOfParentAbstract" name="EquityAttributableToOwnersOfParentAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="Gecina_ConsolidatedReservesAttribuableToOwnersOfTheParentCompany" name="ConsolidatedReservesAttribuableToOwnersOfTheParentCompany" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant" />
  <xs:element id="Gecina_CurrentTaxAndSocialSecurityLiabilities" name="CurrentTaxAndSocialSecurityLiabilities" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant" />
  <xs:element id="Gecina_ProfitLossAbstract1" name="ProfitLossAbstract1" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="Gecina_ProfitLossBeforeTaxAbstract" name="ProfitLossBeforeTaxAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="Gecina_ProfitLossFromOperatingActivitiesAbstract" name="ProfitLossFromOperatingActivitiesAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="Gecina_EbitdaAbstract" name="EbitdaAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="Gecina_OtherOperatingIncomeExpenseCurrentOperatingIncomeOnTheHotelActivityCurrentOperatingIncomeOnFinanceLeaseTransactions" name="OtherOperatingIncomeExpenseCurrentOperatingIncomeOnTheHotelActivityCurrentOperatingIncomeOnFinanceLeaseTransactions" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="Gecina_Ebitda" name="Ebitda" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="Gecina_NetImpairmentsAndProvisions" name="NetImpairmentsAndProvisions" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="Gecina_NetFinancialExpenses" name="NetFinancialExpenses" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="Gecina_FinancialImpairmentAndDepreciation" name="FinancialImpairmentAndDepreciation" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="Gecina_PremiumAndBondRedemptionCosts" name="PremiumAndBondRedemptionCosts" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="Gecina_ComprehensiveIncomeAbstract2" name="ComprehensiveIncomeAbstract2" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="Gecina_ComprehensiveIncomeAbstract1" name="ComprehensiveIncomeAbstract1" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="Gecina_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapitalAbstract" name="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapitalAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="Gecina_NetDepreciationAmortizationImpairmentsAndProvisions" name="NetDepreciationAmortizationImpairmentsAndProvisions" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="Gecina_AdjustmentForNetFinancialExpenses" name="AdjustmentForNetFinancialExpenses" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="Gecina_AcquisitionsOfTangibleAndIntangibleFixedAssets" name="AcquisitionsOfTangibleAndIntangibleFixedAssets" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="Gecina_DisposalsOfTangibleAndIntangibleFixedAssets" name="DisposalsOfTangibleAndIntangibleFixedAssets" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="Gecina_IncreaseDecreaseFinancialInstrumentsClassifiedAsInvestmentActivities" name="IncreaseDecreaseFinancialInstrumentsClassifiedAsInvestmentActivities" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="Gecina_CashFlowsFromUsedInDecreaseIncreaseInLoansMadeToOtherParties" name="CashFlowsFromUsedInDecreaseIncreaseInLoansMadeToOtherParties" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="Gecina_ChangeInWorkingCapitalRequirementRelatingToInvestingActivities" name="ChangeInWorkingCapitalRequirementRelatingToInvestingActivities" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="Gecina_ProceedsFromSaleOrIssueOfTreasurySharesOrPaymentsToAcquireOrRedeemEntitysShares" name="ProceedsFromSaleOrIssueOfTreasurySharesOrPaymentsToAcquireOrRedeemEntitysShares" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="Gecina_PremiumAndBondRedemptionCostsPaid" name="PremiumAndBondRedemptionCostsPaid" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="Gecina_PremiumsPaidOrReceivedOnFinancialInstruments" name="PremiumsPaidOrReceivedOnFinancialInstruments" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="Gecina_ChangesInCashAndCashEquivalentsAbstract" name="ChangesInCashAndCashEquivalentsAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="Gecina_Additionalpaidincapitalandconsolidatedreservesmember" name="Additionalpaidincapitalandconsolidatedreservesmember" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="types:domainItemType" xbrli:periodType="duration" />
</xs:schema>